import { line, curveNatural } from 'd3';
export const Marks = ({
  circleRadius,
  data,
  toolTipFormat,
  xScale,
  yScale,
  xValue,
  yValue,
}) => (
  <g className="marks">
    <path
      fill="none"
      stroke="black"
      d={line()
        .x((d) => xScale(xValue(d)))
        .y((d) => yScale(yValue(d)))
        .curve(curveNatural)(data)}
    />
    {data.map((d) => (
      <circle
        key={yValue(d)}
        cx={xScale(xValue(d))}
        cy={yScale(yValue(d))}
        r={circleRadius + 1}
      >
        <title>{toolTipFormat(xValue(d))}</title>
      </circle>
    ))}
  </g>
);
