import React, {
  useState,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import {csv} from 'd3';

const csv_url =
  'https://gist.githubusercontent.com/curran/90240a6d88bdb1411467b21ea0769029/raw/7d4c3914cc6a29a7f5165f7d5d82b735d97bcfe4/week_temperature_sf.csv';

export const useData = () => {
  
	const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      // d.Population = parseFloat(d['2020']);
      d.temperature = +d.temperature;
      d.timestamp = new Date(d.timestamp);
      return d;
    };
    d3.csv(csv_url, row).then(setData);
  }, []);
  return data
}